/* Custom styling for Custom website */

html,body {
	overflow-x: hidden !important;
	scroll-behavior: smooth;
}
body {
	overflow-y:hidden;
}
.elementor-location-header {
	position:relative;
}

.button-colors:hover .icon-svg{
        transform: rotate(45deg);    
}
.bdt-prime-slider-skin-crelly .bdt-slide-btn {
    transform: translateX(0px)!important;
}
.button-colors:hover .elementor-icon{
     background-color: #C90201!important;    
}

.button-svgs-colors:hover .elementor-icon{
     background-color: black !important;    
}

.button-svgs-colors:hover .icon-svg{
        transform: rotate(45deg);    
}



/* slider css */

.bdt-prime-slider-skin-crelly span.bdt-slide-btn-icon {
    position: absolute !important;
    left: 93% !important;
    padding: 10px !important;
    transform: rotate(-32deg);
}

.bdt-prime-slider-skin-crelly .bdt-slide-btn:hover:before{
	opacity: 0!important;
}


.bdt-sub-title.bdt-text-left span {
    width: fit-content;
    background-color: white;
    padding: 4px 16px 4px 16px !important;
    border-radius: 50px;
	margin-bottom: 17px!important;
}

.bdt-ps-slide-img {
    border-radius: 25px;
}

.bdt-prime-slider-skin-crelly .bdt-dotnav li a {
    position: relative;
    width: 24px !Important; 
    height: 24px !Important; 
     background: transparent;
    border: 0px solid transparent !important;
    transition: all .3s ease; 
}



.bdt-prime-slider-skin-crelly .bdt-dotnav li a:before {
    content: '';
    position: absolute;
    height: 13px !Important;
    width: 13px !Important;
    background: #e5e5e5;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 20px;
}

.bdt-prime-slider-skin-crelly .bdt-dotnav li.bdt-active a:after {
    border-color: transparent !important;
    /* transform: scale(1); */
}

.bdt-prime-slider-skin-crelly .bdt-dotnav li a:after{
	display: none!important;
}

.bdt-prime-slider-skin-crelly .bdt-dotnav li{
	padding: 0 !important;
}

.bdt-slideshow-nav {
    position: absolute ! Important;
    left: 98% ! Important;
    right: 0px;
    z-index: 555!Important;
    /* top: 23px; */
    background-color: white;
    width: fit-content;
    padding: 20px 10px 20px 10px ! Important;
    border-radius: 20px 0px 0px 20px;
	margin: 0 !important;
}





/* marquee text */

/* Marquee Wrapper */
.custom-marquee {
    width: 100%;
    overflow: hidden;
    padding: 10px 0;
    background: #fff;
    white-space: nowrap;
    position: relative;
}

/* Moving Track */
.custom-marquee-track {
    display: flex;
    width: max-content;
    animation: marqueeMove 20s linear infinite;
    align-items: center;
}

/* Text Style */
.custom-marquee span {
    font-family: "Public Sans", sans-serif;
    font-weight: 900;
    font-size: 120px;
    line-height: 120px;
    color: transparent;
    -webkit-text-stroke: 1px #041F394D;
    text-transform: capitalize;
    display: inline-flex;
    align-items: center;
   
}

/* Star Icon */
.custom-marquee .star {
    color: #041F39;
    font-size: 100px;
    -webkit-text-stroke: 0;
    margin: 0 50px;
}

/* Animation */
@keyframes marqueeMove {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}    
     
.heading-supscript sup{
	font-family: Public Sans;
	font-weight: 500;
	font-style: Medium;
	font-size: 24px;
	line-height: 34px;
	letter-spacing: 0%;
	color: #041F3999;
	top: -21px!important;
	

}

/* icon-box line  */

.iconbox-lines{
    position: relative;
}

/* Dotted Line */
.iconbox-lines::before{
    content: "" !important;
    position: absolute !important;
    top: 65px ! Important;
    left: 9% !important;
    width: 81% !important;
    border-top: 2px dotted #d9d9d9 !important;
    z-index: 0;
}



/* images-scroll */

/* Parent Container */
/* .container-scroll{
    display: flex;
    flex-wrap: nowrap !important;
    overflow-x: auto;
    overflow-y: hidden;
    gap: 20px;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
} */

/* Images */
/* .container-scroll .images-scroll{
    flex-shrink: 0;
    
} */

 .container-scroll::-webkit-scrollbar{
    display: none;
} 


 .container-scroll{
    display:flex;
    flex-wrap:nowrap !important;
    overflow-x:auto;
    overflow-y:hidden;
    gap:20px;
    scroll-behavior:smooth;
    -webkit-overflow-scrolling:touch;
} 

/* Hide Scrollbar */
 .container-scroll::-webkit-scrollbar{
    display:none;
} 

/* Image Boxes */
 .container-scroll .images-scroll{
    flex:0 0 calc(33.33% - 14px);
    max-width:calc(33.33% - 14px);
} 


/* Images */
 .container-scroll .images-scroll img{
    width:100%;
    height:auto;
    display:block;
}  



.estimate-forms .elementor-select-wrapper .select-caret-down-wrapper {
    font-size: 12px!important;
    right: 18px!important;
  
}

/* foter newsleter */

.email-newsletter .elementor-col-25.e-form__buttons {
    width: fit-content;
    position: absolute;
    right: -5px;
}

.email-newsletter input::placeholder{
	color: #FFFFFF9C !important;
/* 	color: red !important; */
}



.featureds-images a{
	width: 100%!important;
}


.post-contents h2{
    color: #041F39 !important;
    font-weight: 700 !important;
}

.post-contents h5 {
    font-size: 16px;
    font-weight: 400;
    font-family: public;
    font-family: "Public Sans", Sans-serif;
    color: #5a6872;
    line-height: 25px;
    display: flex;
    align-items: center;
    gap: 20px;
}
.post-contents a{
	color: #5A6872!important;
}
.policy-links a{
	color: #041F39 !important;
}

.bdt-slide-btn {
  margin: 0!important;	
}
.bdt-crelly-btn .bdt-slide-btn-icon {
  transition: 0.5s !important;
}

a.bdt-slide-btn:hover{
	background-color: #023465 !important;

}
 
.bdt-crelly-btn:hover span.bdt-slide-btn-icon {
    transform: rotate(0deg)!important;
    transition: 0.5s !important;
	background-color: #c90201 !important;
}



.icon-boxes{
	height: 100% !important;
}



/* Post headings */
.single-post .elementor * h1,
.single-post .elementor * h2,
.single-post .elementor * h3,
.single-post .elementor * h4,
.single-post .elementor * h5,
.single-post .elementor * h6{
	padding-top:15px !important;
	padding-bottom:15px !important
    font-weight:700 !important
}

.single-post .elementor-widget-theme-post-content p{
    padding-top: 15px !important;
}


.reveal-image img {
    width: 100%;
    height: auto;
    display: block;

    clip-path: inset(0 100% 0 0);
    transform: scale(1.12);

    transition: all 1.6s cubic-bezier(0.77, 0, 0.175, 1);
}

.reveal-image.in-view img {
    clip-path: inset(0 0 0 0);
    transform: scale(1);
}



.widget_categories h5,
.elementor-widget-wp-widget-categories h5,
.elementor-widget-categories h5{
    display: none !important;
}


.widget_categories a,
.elementor-widget-wp-widget-categories a,
.elementor-widget-categories a{
    color: #000 !important;
}

.widget_categories,
.elementor-widget-wp-widget-categories,
.elementor-widget-categories{
    padding-top: 30px !important;
}